<script lang="ts" setup>
import { EnumStorageKey } from '@/enum'
import { getLocal } from '@/utils/storage'

const token = ref('')
const userInfo = ref({})
onMounted(() => {
  token.value = getLocal(EnumStorageKey.token)
  userInfo.value = getLocal(EnumStorageKey['user-info'])
})
</script>

<template>
  <div class="index">
    <div>token: {{ token || '--' }}</div>
    <div>user-info: {{ userInfo || '--' }}</div>
  </div>
</template>

<style lang="scss">
.index {
  font-size: 22px;
  box-sizing: border-box;
  padding: 24px;
}
</style>
